function characteristics(a, b, T, N, u0)

    x = linspace(a, b, N);
    
    clf;
    axis([a b 0 T]);
    hold on;

    for x0 = x
        slope = 4*u0(x0)^3;
        plot([x0 x0+T*slope], [0 T], 'm-');
    end

end
