function mufinal = heun(mu0, h, T, M)

    tau = T/M;

    for i = 1:M
        k1 = -Flfvec(mu0)/h;
        k2 = -Flfvec(mu0 + tau*k1)/h;
        mu0 = mu0 + tau/2*(k1+k2);
    end

    mufinal = mu0;

end
