function mufinal = dgcl(mu0, f, F, T, Ml, Mr, h, m)

    % Get B-matrix
    B = compBmat(h, Ml, Mr);

    % Timestep
    tau = T / m;

    % Timestepping
    for i = 1:m
        k1 = -B \ G(mu0, f, F, Ml, Mr, h);
        k2 = -B \ G(mu0 + tau/2*k1, f, F, Ml, Mr, h);
        mu0 = mu0 + tau*k2;
    end

    % Output
    mufinal = mu0;

end
